BLAKE2s_ParameterBlock Struct Reference

BLAKE2s parameter block. More...

## Public Types

enum | { DigestOff = 0 , KeyOff = 1 , FanoutOff = 2 , DepthOff = 3 , LeafOff = 4 , NodeOff = 8 , NodeDepthOff = 14 , InnerOff = 15 , SaltOff = 16 , PersonalizationOff = 24 }

## Public Member Functions

| BLAKE2s_ParameterBlock (size_t digestSize)
| BLAKE2s_ParameterBlock (size_t digestSize, size_t keyLength, const byte *salt, size_t saltLength, const byte *personalization, size_t personalizationLength)
void | Reset (size_t digestLength=DIGESTSIZE, size_t keyLength=0)
byte * | data ()
const byte * | data () const
size_t | size () const
byte * | salt ()
byte * | personalization ()

## Public Attributes

FixedSizeAlignedSecBlock< byte, 32, true > | m_data

## Static Public Attributes

static const int | SALTSIZE = BLAKE2s_Info::SALTSIZE
static const int | DIGESTSIZE = BLAKE2s_Info::DIGESTSIZE
static const int | PERSONALIZATIONSIZE = BLAKE2s_Info::PERSONALIZATIONSIZE

## Detailed Description

BLAKE2s parameter block.

Definition at line 60 of file blake2.h.

The documentation for this struct was generated from the following files:

- blake2.h
- blake2.cpp